org.eclipse.emf.cdo.transfer.ui

## Class TransferDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.emf.cdo.transfer.ui.TransferDialog

- All Implemented Interfaces:
    IShellProvider

      public class TransferDialog
      extends TitleAreaDialog

  A dialog that contains a `TransferComposite`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferDialog(Shell parentShell, CDOTransfer transfer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createButtonsForButtonBar(Composite parent)`
    `protected Control` | `createDialogArea(Composite parent)`
    `protected Point` | `getInitialSize()`
    `CDOTransfer` | `getTransfer()`
    `TransferComposite` | `getTransferComposite()`
    `static void` | `initializeTransfer(CDOTransfer transfer, java.util.Collection<CDOTransferElement> sourceElements)`
    `protected void` | `okPressed()`
    `static boolean` | `open(Shell shell, java.util.List<CDOTransferElement> sourceElements, CDOTransferElement targetElement)`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `createContents, getErrorMessage, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferDialog

          public TransferDialog(Shell parentShell,
                                CDOTransfer transfer)

  - ### Method Detail

    - #### getTransfer

          public final CDOTransfer getTransfer()

    - #### getTransferComposite

          public final TransferComposite getTransferComposite()

    - #### createDialogArea

          protected Control createDialogArea(Composite parent)

      Overrides:
        `createDialogArea` in class `TitleAreaDialog`

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar(Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `Dialog`

    - #### okPressed

          protected void okPressed()

      Overrides:
        `okPressed` in class `Dialog`

    - #### getInitialSize

          protected Point getInitialSize()

      Overrides:
        `getInitialSize` in class `TitleAreaDialog`

    - #### open

          public static boolean open(Shell shell,
                                     java.util.List<CDOTransferElement> sourceElements,
                                     CDOTransferElement targetElement)

    - #### initializeTransfer

          public static void initializeTransfer(CDOTransfer transfer,
                                                java.util.Collection<CDOTransferElement> sourceElements)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html